Skip to main content
Contract / Payments

Modify payment structures for a contract

This method requires the ContractPaymentStructures:Vary permission to be associated with your role.

PATCH
/fm/contract/payment-structures/{contract_payment_structure_id}/vary
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_payment_structure_idstringrequired
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload.

contract_idstringrequired

Contract Id

Example: 123456
due_dayinteger

Due Day

Example: 25
first_payment_duestring

First payment due date

Example: 2026-08-05
payment_intervalenum<string>
Available options: daily, weekly, fortnightly, period, monthly, quarterly, bi-annual, annual
Example: monthly
payment_on_hold_datestring

Required when payment_on_hold_date_flag is yes

Example: 2026-06-15
payment_on_hold_date_flagenum<string>
Available options: yes, no
Example: yes
payment_stop_datestring

Required when payment_stop_date_flag is yes

Example: 2031-05-24
payment_stop_date_flagenum<string>
Available options: yes, no
Example: no
periods_deferredinteger

Number of deferred periods

Required range: 0 <= x
Example: 1
supplier_idstringrequired

Supplier Id

Example: 114316

No Content